Bug 135701 - need final repo URLs
Summary: need final repo URLs
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: yum   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On: 135700
Blocks: FC3Blocker
TreeView+ depends on / blocked
 
Reported: 2004-10-14 15:12 UTC by Bill Nottingham
Modified: 2014-03-17 02:49 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-05 22:00:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bill Nottingham 2004-10-14 15:12:00 UTC
Alternatively, a method to allow drop-in repo URLs in a .d directory
that could be populated via fedora-release or similar.

Comment 1 Jeremy Katz 2004-10-14 17:08:13 UTC
We can easily do that.  It just needs to drop into /etc/yum.repos.d as
fedora.repo (or similar) and we could then have the devel
fedora-release package contain the devel tree urls.

Comment 2 Seth Vidal 2004-10-14 17:11:53 UTC
the /etc/yum.repos.d dir already exists and you can put whatever you
want there.

I would almost encourage one pointing to fedora-extras with enabled=0
in the repository stanza.

So people can turn it on (from the cli or in the file) if they choose,
but are not required to do so.

I'll work on compiling the list I got.


Comment 3 Bill Nottingham 2004-10-14 18:56:09 UTC
However, I'm leery of enabling a config in fedora-release for yum
without doing it for up2date too. :/

Comment 4 Seth Vidal 2004-10-14 19:29:40 UTC
fine by me - I'd suggest a common config format but that doesn't work
all that well with these apps. I'm in for a blocker for FC4 being a
yum-backend-based gui interface, but I'm going to need more help, esp
on the interface.


Comment 5 Bill Nottingham 2004-10-28 21:19:27 UTC
Should be fixed in fedora-release-3-x.

Comment 6 Seth Vidal 2004-11-01 19:30:51 UTC
I'm adding mirrors to the mirrorlists as I see them:

http://linux.duke.edu/~skvidal/misc/mirrorlists/


Comment 7 Bill Nottingham 2004-11-05 22:00:06 UTC
Mirror lists imported.


Note You need to log in before you can comment on or make changes to this bug.